/*
 Class: CustomMath
 Author: Shahrzad Jahangirian
 Date: May 15, 2014
 Description: A class for collection of methods relates to Math that 
 usually needs to be used in most Applications. A generic and a helper class.
 */
package commonPKG;

import java.util.*;
import java.text.*;

public class CustomMath {

    public CustomMath() {
    }

    public boolean isInteger(String str) {
        boolean valid = false;
        try {
            Integer.parseInt(str);
            valid = true;
        } catch (Exception e) {
            valid = false;
        }
        return valid;
    }

    public boolean isGreaterThanZero(String str) {
        boolean valid = false;
        try {
            if (Integer.parseInt(str) > 0) {
                valid = true;
            }
        } catch (Exception e) {
            valid = false;
        }
        return valid;
    }
}
