/*
 Class: ConnectDatabase
 Author: Shahrzad Jahangirian
 Date: March 31, 2014
 Description: A class to do problem domain processing for ConnectionDB
 */
package PDpkg;

import java.sql.*;
import java.lang.*;
import DBpkg.ConnectionDB;

public class ConnectDatabase{
    
    private ConnectionDB db = new ConnectionDB();
    
    public ConnectDatabase(){
        
    }
    
    public void openAll(){
        db.dbConnect();
    }
    
    public void closeAll(){
        db.dbClose();
    }
}