/*
 Class: ConnectionDB
 Author: Shahrzad Jahangirian
 Date: March 26, 2014
 Description: This is a class for Database Conncetion.
 Replace your MySql usename and Password at
 String url = "jdbc:mysql://localhost?user=YourMysqlUsername&password=YourMysqlPassword";
 */
package DBpkg;

import java.sql.*;
import java.lang.*;

public class ConnectionDB {

    protected Connection con = null;
    protected Statement stmt = null;
    protected PreparedStatement query = null;
    protected ResultSet rs = null;

    public ConnectionDB() {
         dbConnect();
    }

    public void dbConnect() {
        String url = "jdbc:mysql://localhost?user=root&password=MySqlPass22";
        try {
            Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        } catch (java.lang.ClassNotFoundException e) {
            System.err.print("ClassNotFoundException: ");
            System.err.println(e.getMessage());
        }
        try {
            con = DriverManager.getConnection(url);
            stmt = con.createStatement();
            stmt.execute("use BOLDER");
        } catch (SQLException ex) {
            System.err.println("SQLException dbConnect: " + ex.getMessage());
        }
    }

    public void dbClose() {
        try {
            if (rs != null) {
                rs.close();
            }
            if (stmt != null) {
                stmt.close();
            }
            if (con != null) {
                con.close();
            }
        } catch (SQLException ex) {
            System.err.println("SQLException dbClose: " + ex.getMessage());
        }
    }
}
