/*
 Class: CustomDataTime
 Author: Shahrzad Jahangirian
 Date: May 2, 2014
 Description: A class for collection of methods relates to Date and Time that 
  usually needs to be used in most Applications. A generic and a helper class.
 */
package commonPKG;
import java.util.*;
import java.text.*;

public class CustomDateTime{

 private int[] aDate = new int[3];

  public CustomDateTime(){

  }

  // this method validate a date to be in dd/mm/yyyy format and not today's date
  public boolean validateADate(String bDate, String today) {
    boolean valid = true;
    try {
      String[] result = bDate.split("\\/");
      aDate[0] = Integer.parseInt(result[2]);
      aDate[1] = Integer.parseInt(result[1]);
      aDate[2] = Integer.parseInt(result[0]);
      if (bDate.equals(today) == true) {
        valid = false;
      }
    }
    catch (Exception ex) {
      valid = false;
    }
    return valid;
  }
  
    public int getADateYear(){
    return aDate[0];
  }
    
     public int getADateMonth(){
    return aDate[1];
  }
     
      public int getADateDay(){
    return aDate[2];
  }
  
   // this method validate a date to be in dd/mm/yyyy format.
  public boolean validateDate(String bDate) {
    boolean valid = true;
    int[] dateToValidate = new int[3];
    try {
      String[] result = bDate.split("\\/");
      dateToValidate[0] = Integer.parseInt(result[2]);
      dateToValidate[1] = Integer.parseInt(result[1]);
      dateToValidate[2] = Integer.parseInt(result[0]);     
    }
    catch (Exception ex) {
      valid = false;
    }
    return valid;
  }
   
}
