/*
 Class: RaceInfo
 Author: Shahrzad Jahangirian
 Date: May 2, 2014
 Description: A class for each Bolder Race information
 */
package PDpkg;

import java.util.*;
import java.text.*;

public class RaceInfo {
  private int raceId;    
  private int[] raceDate = new int[3]; //0=year, 1=month, 2=day
  private String raceTime = new String();
  private String raceName = new String();

  public RaceInfo() {

  }
 
  public int getRaceId() {
    return raceId;
  }  

  public String getRaceName() {
    return raceName;
  }

  public String getRaceDate() {
    String result = String.valueOf(raceDate[0]) + "/" +
        String.valueOf(raceDate[1]) + "/" + String.valueOf(raceDate[2]);
    return result;
  }

  public String getRaceTime() {
    return raceTime;
  }

  public void setRaceId(int raceId) {
   this.raceId = raceId;
 }

  public void setRaceName(String raceName) {
    this.raceName = raceName;
  }

  public void setRaceTime(String raceTime) {
    this.raceTime = raceTime;
  }  

  public void setRaceDate(String bDate) {

   String[] result = bDate.split("\\/");
   raceDate[0] = Integer.parseInt(result[2]);
   raceDate[1] = Integer.parseInt(result[1]);
   raceDate[2] = Integer.parseInt(result[0]);
 }

  
}
